ConnectCloud Developers

Public holidays of a Bundesland plus the tenant's own (tenant:access)

GET /api/hr/v1/holidays

Module: HR · operationId: listHolidays · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)

Parameters

Name In Type Required Description
year query integer
state query string Bundesland code; defaults to the tenant's

Responses

  • 200 Holidays (application/json)
  • 400 Error (application/json)

Fields of the 200 answer:

  • items (array of Holiday, required): Holidays of the year, by date
    • custom (boolean): A holiday of the tenant's own (omitted when false)
    • date (string (date)): Date (YYYY-MM-DD)
    • fraction (number): 1 for a full day, 0.5 for a half day (e.g. 24.12.) (one of 0.5, 1)
    • name (string): Name of the holiday

Example 200 answer:

{
  "items": [
    {
      "custom": false,
      "date": "2026-10-03",
      "fraction": 1,
      "name": "Tag der Deutschen Einheit"
    },
    {
      "custom": false,
      "date": "2026-11-01",
      "fraction": 1,
      "name": "Allerheiligen"
    },
    {
      "custom": true,
      "date": "2026-12-24",
      "fraction": 0.5,
      "name": "Heiligabend (halber Tag)"
    },
    {
      "custom": false,
      "date": "2026-12-25",
      "fraction": 1,
      "name": "1. Weihnachtstag"
    },
    {
      "custom": false,
      "date": "2026-12-26",
      "fraction": 1,
      "name": "2. Weihnachtstag"
    }
  ]
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/hr/v1/holidays' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI